- libbson 1.13.1 »
- API Reference »
- bson_reader_t

# bson_reader_set_read_func()

## Synopsis

    void
    bson_reader_set_read_func (bson_reader_t *reader, bson_reader_read_func_t func);

## Parameters

- `reader`: A bson_reader_t.
- `func`: A bson_reader_read_func_t.

## Description

Sets the function to read more data from the underlying stream in a custom bson_reader_t.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.